# List operation blocks **NOTE**: This v2 endpoint serves as a replacement for the v1 version. Lists all operation blocks for an organization. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Banking - Transaction banking", "version": "0.9.0", "description": "Transaction banking API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Operations blocks", "description": "Operations blocks endpoints" } ], "components": { "parameters": { "CursorQuery": { "name": "cursor", "in": "query", "description": "Cursor to the next page of results. If no value is specified, it fetches the first page.", "schema": { "type": "string" }, "example": "1234" }, "LimitQuery": { "name": "limit", "in": "query", "description": "Maximum number of items per page. Defaults to `10`", "schema": { "type": "integer", "format": "int32", "default": 10, "maximum": 20 }, "example": 20 } }, "schemas": { "AllowedOperations": { "type": "array", "description": "List of operations allowed to bypass the block enforcement logic.
\n- `EARMARK_RELEASE`: Release an earmark even when an operation block is active.\n- `EARMARK_UPDATE`: Update an earmark (set amount, increase, or decrease) while the account is blocked by an operation block.\n- `PAYMENT_DEBIT`: Execute a debit transaction while the account is blocked by an operation block.\n- `PAYMENT_CREDIT`: Execute a credit transaction while the account is blocked by an operation block.\n- `PAYMENT_CONFIRM`: Confirm a value transaction while the account is blocked by an operation block.\n- `PAYMENT_CANCEL`: Cancel an existing transaction while the account is blocked by an operation block.\n- `ACCOUNT_STATUS_UPDATE`: Change the account status and the associated status reason.\n- `CHECK_POST`: Post a check while the account is blocked by an operation block.\n- `CHECK_RELEASE`: Release an uncleared check or operation while the account is blocked by an operation block.\n- `CHECK_CANCEL`: Cancel an existing check while the account is blocked by an operation block.\n- `RESTRICTED_FUNDS_CREATE`: Hold a specified amount by transferring it from the available balance to restricted funds.\n- `RESTRICTED_FUNDS_RELEASE`: Release restricted funds from hold. This transfers funds from restricted funds back to available balance.\n", "items": { "$ref": "#/components/schemas/OperationsBlocksOperation" }, "example": [ "EARMARK_CREATE" ] }, "Cursor": { "type": "string", "description": "Cursor pointing to the next page of results", "example": "eyJJRCI6IjBjOGVhMTA4LWNhZTYtNDA2Mi1iMmQzLTFhMTZkNmJiNGIyOCIsIk9yZ0lEIjoiMDllYThhMDQtNWY5My0xMWVkLTliNmEtMDI0MmFjMTIwMDAyIn0=" }, "DivisionCode": { "type": "string", "maxLength": 36, "description": "Code used to identify your division within the organization. Division code should only contain letters, numbers, and hyphens.", "example": "US" }, "ErrorCode": { "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n", "type": "string", "minLength": 1, "maxLength": 12, "example": "WPMT0017" }, "ErrorMessage": { "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n", "type": "string", "minLength": 1, "maxLength": 1000, "example": "Invalid JSON payload received: Error unmarshalling request" }, "ErrorResponse": { "type": "object", "properties": { "code": { "$ref": "#/components/schemas/ErrorCode" }, "message": { "$ref": "#/components/schemas/ErrorMessage" } } }, "ListOperationsBlocksV2": { "title": "ListOperationsBlocks", "type": "object", "properties": { "operation_blocks": { "type": "array", "description": "A list of operation blocks", "items": { "$ref": "#/components/schemas/OperationsBlockV2" } }, "pagination": { "$ref": "#/components/schemas/Pagination" } } }, "MaxItemsPerPage": { "type": "integer", "format": "int32", "description": "Maximum number of items per page", "example": 10 }, "OperationsBlocksOperation": { "type": "string", "description": "Operation name.
\nFinancial operations that are allowed to bypass the block enforcement logic.\n", "enum": [ "EARMARK_CREATE", "EARMARK_RELEASE", "EARMARK_UPDATE", "PAYMENT_DEBIT", "PAYMENT_CREDIT", "PAYMENT_CONFIRM", "PAYMENT_CANCEL", "ACCOUNT_STATUS_UPDATE", "CHECK_POST", "CHECK_RELEASE", "CHECK_CANCEL", "RESTRICTED_FUNDS_CREATE", "RESTRICTED_FUNDS_RELEASE" ], "example": "EARMARK_RELEASE" }, "OperationsBlockV2": { "type": "object", "description": "Operations block", "properties": { "block_id": { "$ref": "#/components/schemas/OperationsBlockV2ID" }, "description": { "$ref": "#/components/schemas/OperationsBlockDescription" }, "status": { "$ref": "#/components/schemas/OperationsBlockStatus" }, "created_at": { "$ref": "#/components/schemas/OperationBlockCreatedAt" }, "division_code": { "$ref": "#/components/schemas/DivisionCode" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "allowed_operations": { "$ref": "#/components/schemas/AllowedOperations" }, "updated_at": { "$ref": "#/components/schemas/OperationBlockUpdatedAt" } }, "required": [ "block_id", "description", "status", "created_at" ] }, "OperationBlockCreatedAt": { "type": "string", "format": "date-time", "description": "Operation block creation timestamp (ISO 8601). Format = `YYYY-MM-DDTHH:mm:ss.sssssssssZ`.", "example": "2024-12-16T06:50:08.83861056Z" }, "OperationBlockUpdatedAt": { "type": "string", "format": "date-time", "description": "Operation block last update timestamp (ISO 8601). Format = `YYYY-MM-DDTHH:mm:ss.sssssssssZ`.", "example": "2024-12-17T07:50:08.83861056Z" }, "OperationsBlockDescription": { "type": "string", "maxLength": 100, "description": "Operations block description", "example": "FDIC operations block" }, "OperationsBlockStatus": { "type": "string", "description": "Status of the operations block.\n", "enum": [ "ACTIVE", "DEACTIVATED" ], "example": "ACTIVE" }, "OperationsBlockV2ID": { "type": "string", "format": "uuid", "description": "Operations block ID", "maxLength": 36, "example": "e4adf199-c925-4d11-b002-c5bfd5679030" }, "Pagination": { "type": "object", "description": "Data related to list pagination using a cursor.", "properties": { "limit": { "$ref": "#/components/schemas/MaxItemsPerPage" }, "cursor": { "$ref": "#/components/schemas/Cursor" } } }, "ProgramID": { "type": "integer", "format": "int64", "maximum": 99999999999, "description": "Program ID. The program must belong to the organization. Use [List programs](https://developers.pismo.io/pismo-docs/reference/programs-1) to view a list of the program IDs for the organization.\n\nThis program must be bound to the division. You can attach the program with either of the following endpoints:\n[Create division](https://developers.pismo.io/pismo-docs/reference/post-division-v2)\n[Patch division](https://developers.pismo.io/pismo-docs/reference/patch-division-v2)\n", "example": 8674 } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "The request has been lost" }, "500InternalServer": { "description": "Internal Server Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Generic internal error": { "value": { "code": "ECMN9999", "message": "Internal error" } } } } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "paths": { "/corporate/v2/operations-blocks": { "get": { "summary": "List operation blocks", "operationId": "corporate-v2-list-operation-blocks", "description": "**NOTE**: This v2 endpoint serves as a replacement for the v1 version.\n\nLists all operation blocks for an organization.\n", "tags": [ "Operations blocks" ], "parameters": [ { "$ref": "#/components/parameters/CursorQuery" }, { "$ref": "#/components/parameters/LimitQuery" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ListOperationsBlocksV2" }, "examples": { "Operation blocks": { "value": { "operation_blocks": [ { "block_id": "525f9307-26a7-468b-9428-c7450fc26341", "description": "FDIC operation block", "status": "DEACTIVATED", "created_at": "2025-01-01T12:00:00Z", "updated_at": "2025-01-02T12:00:00Z" }, { "block_id": "48984e59-33f3-4452-865f-b40181eb1c6d", "description": "Division block", "division_code": "my-division-code", "program_id": 25, "status": "ACTIVE", "allowed_operations": [ "EARMARK_CREATE", "EARMARK_UPDATE", "EARMARK_RELEASE" ], "created_at": "2025-01-04T12:00:00Z" } ], "pagination": { "limit": 10, "cursor": "eyJJRCI6IjBjOGVhMTA4LWNhZTYtNDA2Mi1iMmQzLTFhMTZkNmJiNGIyOCIsIk9yZ0lEIjoiMDllYThhMDQtNWY5My0xMWVkLTliNmEtMDI0MmFjMTIwMDAyIn0=" } } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "invalid cursor": { "value": { "code": "WCMN0004", "message": "Invalid cursor" } } } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```